﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Bulldozer.Generics
{
    internal class BulldozersCollectionInfo : IEquatable<BulldozersCollectionInfo>
    {
        public string Name { get; private set; }
        public string Description { get; private set; }
        public BulldozersCollectionInfo(string name, string description)
        {
            Name = name;
            Description = description;
        }
        public bool Equals(BulldozersCollectionInfo? other)
        {
            return Name == other.Name;
        }
        public override int GetHashCode()
        {
            return this.Name.GetHashCode();
        }
    }
}
